# Dieses Script liest eine CSV-Datendatei in GNU R ein.
# Beim Einlesen werden für alle Variablen Beschriftungen (comment) angelegt.
# Die Beschriftungen für Werte wird ebenfalls als Attribute (attr) abgelegt.

DATEN_BF_file = file.choose()
# setwd("./")
# DATEN_BF_file = "rdata_Meth-Aufbau-21UE3_2021-12-05_11-59.csv"

DATEN_BF = read.table(
  file=DATEN_BF_file, encoding="UTF-8",
  header = FALSE, sep = "\t", quote = "\"",
  dec = ".", row.names = "CASE",
  col.names = c(
    "CASE","SERIAL","REF","QUESTNNR","MODE","STARTED","BEGRUESS","GESCHL","ALTER",
    "NACHRICHT_NUTZ","NACHRICHT_TITEL","NACHRICHT_TITEL1","NACHRICHT_TITEL2",
    "NACHRICHT_TITEL3","NACHRICHT_TITEL4","NACHRICHT_TITEL5","NACHRICHT_TITEL6",
    "NACHRICHT_TITEL7","NACHRICHT_TITEL8","NACHRICHT_TITEL9","NACHRICHT_TITEL10",
    "NACHRICHT_TITEL11","NACHRICHT_TITEL12","NACHRICHT_TITEL13","NACHRICHT_TITEL14",
    "NACHRICHT_TITEL15","NACHRICHT_TITEL16","NACHRICHT_TITEL17","NACHRICHT_TITEL18",
    "NACHRICHT_TITEL19","M112_20","M112_21","M112_22","M112_23","M112_23a",
    "NACHRICHT_ZEIT","THEMA_SPRECHEN","M113_06","THEMA_WICHTIG","THEMA_WICHTIG1",
    "THEMA_WICHTIG2","THEMA_WICHTIG3","THEMA_WICHTIG4","THEMA_WICHTIG5",
    "THEMA_WICHTIG6","THEMA_WICHTIG7","THEMA_WICHTIG8","THEMA_WICHTIG9",
    "THEMA_WICHTIG10","THEMA_WICHTIG11","HAUFIGKEIT_01","HAUFIGKEIT_02",
    "HAUFIGKEIT_03","HAUFIGKEIT_04","HAUFIGKEIT_05","Erinn_Meld1","Erinn_Meld2",
    "Erinn_Meld3","ERINN_WICHTIG1","ERINN_WICHTIG2","ERINN_WICHTIG3",
    "ERINN_INTERESSE1","ERINN_INTERESSE2","ERINN_INTERESSE3","PERS_REL","POLITIK",
    "PROMINENZ","SCHLAG_PROMINENZ","SCHLAG_AUSLAND","SCHLAG_TECHNIK",
    "SCHLAG_POLITIK","PLZ","BILDUNG","BILDUNG_SONST","ANMERK","INTERVIEWER",
    "VERSTAENDNIS","ERNSTHAFT","S_IP","S_LANG","S_REFERR","S_BROWSR","TIME001",
    "TIME002","TIME003","TIME004","TIME005","TIME006","TIME007","TIME008","TIME009",
    "TIME010","TIME011","TIME012","TIME014","TIME015","TIME016","TIME017","TIME018",
    "TIME019","TIME020","TIME021","TIME022","TIME023","TIME024","TIME025","TIME026",
    "TIME027","TIME028","TIME029","TIME030","TIME_SUM","MAILSENT","LASTDATA",
    "FINISHED","Q_VIEWER","LASTPAGE","MAXPAGE","MISSING","MISSREL","TIME_RSI",
    "DEG_TIME"
  ),
  as.is = TRUE,
  colClasses = c(
    CASE="numeric", SERIAL="character", REF="character", QUESTNNR="character",
    MODE="factor", STARTED="POSIXct", BEGRUESS="numeric", GESCHL="numeric",
    ALTER="numeric", NACHRICHT_NUTZ="numeric", NACHRICHT_TITEL="numeric",
    NACHRICHT_TITEL1="logical", NACHRICHT_TITEL2="logical",
    NACHRICHT_TITEL3="logical", NACHRICHT_TITEL4="logical",
    NACHRICHT_TITEL5="logical", NACHRICHT_TITEL6="logical",
    NACHRICHT_TITEL7="logical", NACHRICHT_TITEL8="logical",
    NACHRICHT_TITEL9="logical", NACHRICHT_TITEL10="logical",
    NACHRICHT_TITEL11="logical", NACHRICHT_TITEL12="logical",
    NACHRICHT_TITEL13="logical", NACHRICHT_TITEL14="logical",
    NACHRICHT_TITEL15="logical", NACHRICHT_TITEL16="logical",
    NACHRICHT_TITEL17="logical", NACHRICHT_TITEL18="logical",
    NACHRICHT_TITEL19="logical", M112_20="logical", M112_21="logical",
    M112_22="logical", M112_23="logical", M112_23a="character",
    NACHRICHT_ZEIT="numeric", THEMA_SPRECHEN="numeric", M113_06="character",
    THEMA_WICHTIG="numeric", THEMA_WICHTIG1="logical", THEMA_WICHTIG2="logical",
    THEMA_WICHTIG3="logical", THEMA_WICHTIG4="logical",
    THEMA_WICHTIG5="logical", THEMA_WICHTIG6="logical",
    THEMA_WICHTIG7="character", THEMA_WICHTIG8="logical",
    THEMA_WICHTIG9="character", THEMA_WICHTIG10="logical",
    THEMA_WICHTIG11="character", HAUFIGKEIT_01="numeric",
    HAUFIGKEIT_02="numeric", HAUFIGKEIT_03="numeric", HAUFIGKEIT_04="numeric",
    HAUFIGKEIT_05="numeric", Erinn_Meld1="character", Erinn_Meld2="character",
    Erinn_Meld3="character", ERINN_WICHTIG1="numeric", ERINN_WICHTIG2="numeric",
    ERINN_WICHTIG3="numeric", ERINN_INTERESSE1="numeric",
    ERINN_INTERESSE2="numeric", ERINN_INTERESSE3="numeric", PERS_REL="numeric",
    POLITIK="numeric", PROMINENZ="numeric", SCHLAG_PROMINENZ="numeric",
    SCHLAG_AUSLAND="numeric", SCHLAG_TECHNIK="numeric",
    SCHLAG_POLITIK="numeric", PLZ="character", BILDUNG="numeric",
    BILDUNG_SONST="character", ANMERK="character", INTERVIEWER="numeric",
    VERSTAENDNIS="numeric", ERNSTHAFT="numeric", S_IP="character",
    S_LANG="character", S_REFERR="character", S_BROWSR="character",
    TIME001="integer", TIME002="integer", TIME003="integer", TIME004="integer",
    TIME005="integer", TIME006="integer", TIME007="integer", TIME008="integer",
    TIME009="integer", TIME010="integer", TIME011="integer", TIME012="integer",
    TIME014="integer", TIME015="integer", TIME016="integer", TIME017="integer",
    TIME018="integer", TIME019="integer", TIME020="integer", TIME021="integer",
    TIME022="integer", TIME023="integer", TIME024="integer", TIME025="integer",
    TIME026="integer", TIME027="integer", TIME028="integer", TIME029="integer",
    TIME030="integer", TIME_SUM="integer", MAILSENT="POSIXct",
    LASTDATA="POSIXct", FINISHED="logical", Q_VIEWER="logical",
    LASTPAGE="numeric", MAXPAGE="numeric", MISSING="numeric", MISSREL="numeric",
    TIME_RSI="numeric", DEG_TIME="numeric"
  ),
  skip = 1,
  check.names = TRUE, fill = TRUE,
  strip.white = FALSE, blank.lines.skip = TRUE,
  comment.char = "",
  na.strings = ""
)

rm(DATEN_BF_file)

attr(DATEN_BF, "project") = "Meth-Aufbau-21UE3"
attr(DATEN_BF, "description") = "Methoden Aufbau 2021 UE3"
attr(DATEN_BF, "date") = "2021-12-05 11:59:41"
attr(DATEN_BF, "server") = "https://www.soscisurvey.de"

# Variable und Value Labels
attr(DATEN_BF$BEGRUESS,"1") = "Ja"
attr(DATEN_BF$BEGRUESS,"2") = "Nein"
attr(DATEN_BF$BEGRUESS,"-9") = "nicht beantwortet"
attr(DATEN_BF$GESCHL,"1") = "Männlich"
attr(DATEN_BF$GESCHL,"2") = "Weiblich"
attr(DATEN_BF$GESCHL,"3") = "Sonstiges"
attr(DATEN_BF$GESCHL,"-1") = "k.A."
attr(DATEN_BF$GESCHL,"-9") = "nicht beantwortet"
attr(DATEN_BF$ALTER,"1") = "1920"
attr(DATEN_BF$ALTER,"2") = "1921"
attr(DATEN_BF$ALTER,"3") = "1922"
attr(DATEN_BF$ALTER,"4") = "1923"
attr(DATEN_BF$ALTER,"5") = "1924"
attr(DATEN_BF$ALTER,"6") = "1925"
attr(DATEN_BF$ALTER,"7") = "1926"
attr(DATEN_BF$ALTER,"8") = "1927"
attr(DATEN_BF$ALTER,"9") = "1928"
attr(DATEN_BF$ALTER,"10") = "1929"
attr(DATEN_BF$ALTER,"11") = "1930"
attr(DATEN_BF$ALTER,"12") = "1931"
attr(DATEN_BF$ALTER,"13") = "1932"
attr(DATEN_BF$ALTER,"14") = "1933"
attr(DATEN_BF$ALTER,"15") = "1934"
attr(DATEN_BF$ALTER,"16") = "1935"
attr(DATEN_BF$ALTER,"17") = "1936"
attr(DATEN_BF$ALTER,"18") = "1937"
attr(DATEN_BF$ALTER,"19") = "1938"
attr(DATEN_BF$ALTER,"20") = "1939"
attr(DATEN_BF$ALTER,"21") = "1940"
attr(DATEN_BF$ALTER,"22") = "1941"
attr(DATEN_BF$ALTER,"23") = "1942"
attr(DATEN_BF$ALTER,"24") = "1943"
attr(DATEN_BF$ALTER,"25") = "1944"
attr(DATEN_BF$ALTER,"26") = "1945"
attr(DATEN_BF$ALTER,"27") = "1946"
attr(DATEN_BF$ALTER,"28") = "1947"
attr(DATEN_BF$ALTER,"29") = "1948"
attr(DATEN_BF$ALTER,"30") = "1949"
attr(DATEN_BF$ALTER,"31") = "1950"
attr(DATEN_BF$ALTER,"32") = "1951"
attr(DATEN_BF$ALTER,"33") = "1952"
attr(DATEN_BF$ALTER,"34") = "1953"
attr(DATEN_BF$ALTER,"35") = "1954"
attr(DATEN_BF$ALTER,"36") = "1955"
attr(DATEN_BF$ALTER,"37") = "1956"
attr(DATEN_BF$ALTER,"38") = "1957"
attr(DATEN_BF$ALTER,"39") = "1958"
attr(DATEN_BF$ALTER,"40") = "1959"
attr(DATEN_BF$ALTER,"41") = "1960"
attr(DATEN_BF$ALTER,"42") = "1961"
attr(DATEN_BF$ALTER,"43") = "1962"
attr(DATEN_BF$ALTER,"44") = "1963"
attr(DATEN_BF$ALTER,"45") = "1964"
attr(DATEN_BF$ALTER,"46") = "1965"
attr(DATEN_BF$ALTER,"47") = "1966"
attr(DATEN_BF$ALTER,"48") = "1967"
attr(DATEN_BF$ALTER,"49") = "1968"
attr(DATEN_BF$ALTER,"50") = "1969"
attr(DATEN_BF$ALTER,"51") = "1970"
attr(DATEN_BF$ALTER,"52") = "1971"
attr(DATEN_BF$ALTER,"53") = "1972"
attr(DATEN_BF$ALTER,"54") = "1973"
attr(DATEN_BF$ALTER,"55") = "1974"
attr(DATEN_BF$ALTER,"56") = "1975"
attr(DATEN_BF$ALTER,"57") = "1976"
attr(DATEN_BF$ALTER,"58") = "1977"
attr(DATEN_BF$ALTER,"59") = "1978"
attr(DATEN_BF$ALTER,"60") = "1979"
attr(DATEN_BF$ALTER,"61") = "1980"
attr(DATEN_BF$ALTER,"62") = "1981"
attr(DATEN_BF$ALTER,"63") = "1982"
attr(DATEN_BF$ALTER,"64") = "1983"
attr(DATEN_BF$ALTER,"65") = "1984"
attr(DATEN_BF$ALTER,"66") = "1985"
attr(DATEN_BF$ALTER,"67") = "1986"
attr(DATEN_BF$ALTER,"68") = "1987"
attr(DATEN_BF$ALTER,"69") = "1988"
attr(DATEN_BF$ALTER,"70") = "1989"
attr(DATEN_BF$ALTER,"71") = "1990"
attr(DATEN_BF$ALTER,"72") = "1991"
attr(DATEN_BF$ALTER,"73") = "1992"
attr(DATEN_BF$ALTER,"74") = "1993"
attr(DATEN_BF$ALTER,"75") = "1994"
attr(DATEN_BF$ALTER,"76") = "1995"
attr(DATEN_BF$ALTER,"77") = "1996"
attr(DATEN_BF$ALTER,"78") = "1997"
attr(DATEN_BF$ALTER,"79") = "1998"
attr(DATEN_BF$ALTER,"80") = "1999"
attr(DATEN_BF$ALTER,"81") = "2000"
attr(DATEN_BF$ALTER,"82") = "2001"
attr(DATEN_BF$ALTER,"83") = "2002"
attr(DATEN_BF$ALTER,"84") = "2003"
attr(DATEN_BF$ALTER,"85") = "2004"
attr(DATEN_BF$ALTER,"86") = "2005"
attr(DATEN_BF$ALTER,"87") = "2006"
attr(DATEN_BF$ALTER,"88") = "2007"
attr(DATEN_BF$ALTER,"89") = "2008"
attr(DATEN_BF$ALTER,"90") = "2009"
attr(DATEN_BF$ALTER,"91") = "2010"
attr(DATEN_BF$ALTER,"-9") = "nicht beantwortet"
attr(DATEN_BF$NACHRICHT_NUTZ,"1") = "Ja"
attr(DATEN_BF$NACHRICHT_NUTZ,"2") = "Nein"
attr(DATEN_BF$NACHRICHT_NUTZ,"-1") = "weiss nicht"
attr(DATEN_BF$NACHRICHT_NUTZ,"-2") = "k.A."
attr(DATEN_BF$NACHRICHT_NUTZ,"-9") = "nicht beantwortet"
attr(DATEN_BF$NACHRICHT_TITEL,"-1") = "Weiss nicht"
attr(DATEN_BF$NACHRICHT_TITEL,"-2") = "k.A."
attr(DATEN_BF$NACHRICHT_TITEL1,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL1,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL2,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL2,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL3,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL3,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL4,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL4,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL5,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL5,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL6,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL6,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL7,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL7,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL8,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL8,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL9,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL9,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL10,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL10,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL11,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL11,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL12,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL12,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL13,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL13,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL14,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL14,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL15,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL15,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL16,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL16,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL17,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL17,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL18,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL18,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_TITEL19,"F") = "nicht gewählt"
attr(DATEN_BF$NACHRICHT_TITEL19,"T") = "ausgewählt"
attr(DATEN_BF$M112_20,"F") = "nicht gewählt"
attr(DATEN_BF$M112_20,"T") = "ausgewählt"
attr(DATEN_BF$M112_21,"F") = "nicht gewählt"
attr(DATEN_BF$M112_21,"T") = "ausgewählt"
attr(DATEN_BF$M112_22,"F") = "nicht gewählt"
attr(DATEN_BF$M112_22,"T") = "ausgewählt"
attr(DATEN_BF$M112_23,"F") = "nicht gewählt"
attr(DATEN_BF$M112_23,"T") = "ausgewählt"
attr(DATEN_BF$NACHRICHT_ZEIT,"1") = "heute"
attr(DATEN_BF$NACHRICHT_ZEIT,"2") = "gestern"
attr(DATEN_BF$NACHRICHT_ZEIT,"3") = "vor 2-3 Tagen"
attr(DATEN_BF$NACHRICHT_ZEIT,"4") = "letzte Woche"
attr(DATEN_BF$NACHRICHT_ZEIT,"5") = "länger her"
attr(DATEN_BF$NACHRICHT_ZEIT,"-1") = "weiss nicht"
attr(DATEN_BF$NACHRICHT_ZEIT,"-2") = "k.A."
attr(DATEN_BF$NACHRICHT_ZEIT,"-9") = "nicht beantwortet"
attr(DATEN_BF$THEMA_SPRECHEN,"1") = "Gar nie"
attr(DATEN_BF$THEMA_SPRECHEN,"2") = "Einmal im Monat"
attr(DATEN_BF$THEMA_SPRECHEN,"3") = "Wöchentlich"
attr(DATEN_BF$THEMA_SPRECHEN,"4") = "2-3 mal in der Woche"
attr(DATEN_BF$THEMA_SPRECHEN,"5") = "Täglich"
attr(DATEN_BF$THEMA_SPRECHEN,"6") = "Anderes:"
attr(DATEN_BF$THEMA_SPRECHEN,"-1") = "Weiss nicht"
attr(DATEN_BF$THEMA_SPRECHEN,"-2") = "k.A."
attr(DATEN_BF$THEMA_SPRECHEN,"-9") = "nicht beantwortet"
attr(DATEN_BF$THEMA_WICHTIG,"-1") = "Weiss nicht"
attr(DATEN_BF$THEMA_WICHTIG,"-2") = "k.A."
attr(DATEN_BF$THEMA_WICHTIG1,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG1,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG2,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG2,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG3,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG3,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG4,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG4,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG5,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG5,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG6,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG6,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG8,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG8,"T") = "ausgewählt"
attr(DATEN_BF$THEMA_WICHTIG10,"F") = "nicht gewählt"
attr(DATEN_BF$THEMA_WICHTIG10,"T") = "ausgewählt"
attr(DATEN_BF$HAUFIGKEIT_01,"1") = "1 Zu wenig"
attr(DATEN_BF$HAUFIGKEIT_01,"2") = "2"
attr(DATEN_BF$HAUFIGKEIT_01,"3") = "3 genau richtig"
attr(DATEN_BF$HAUFIGKEIT_01,"4") = "4"
attr(DATEN_BF$HAUFIGKEIT_01,"5") = "5 Viel zu viel"
attr(DATEN_BF$HAUFIGKEIT_01,"-1") = "Weiss nicht"
attr(DATEN_BF$HAUFIGKEIT_01,"-2") = "k.A."
attr(DATEN_BF$HAUFIGKEIT_02,"1") = "1 Zu wenig"
attr(DATEN_BF$HAUFIGKEIT_02,"2") = "2"
attr(DATEN_BF$HAUFIGKEIT_02,"3") = "3 genau richtig"
attr(DATEN_BF$HAUFIGKEIT_02,"4") = "4"
attr(DATEN_BF$HAUFIGKEIT_02,"5") = "5 Viel zu viel"
attr(DATEN_BF$HAUFIGKEIT_02,"-1") = "Weiss nicht"
attr(DATEN_BF$HAUFIGKEIT_02,"-2") = "k.A."
attr(DATEN_BF$HAUFIGKEIT_03,"1") = "1 Zu wenig"
attr(DATEN_BF$HAUFIGKEIT_03,"2") = "2"
attr(DATEN_BF$HAUFIGKEIT_03,"3") = "3 genau richtig"
attr(DATEN_BF$HAUFIGKEIT_03,"4") = "4"
attr(DATEN_BF$HAUFIGKEIT_03,"5") = "5 Viel zu viel"
attr(DATEN_BF$HAUFIGKEIT_03,"-1") = "Weiss nicht"
attr(DATEN_BF$HAUFIGKEIT_03,"-2") = "k.A."
attr(DATEN_BF$HAUFIGKEIT_04,"1") = "1 Zu wenig"
attr(DATEN_BF$HAUFIGKEIT_04,"2") = "2"
attr(DATEN_BF$HAUFIGKEIT_04,"3") = "3 genau richtig"
attr(DATEN_BF$HAUFIGKEIT_04,"4") = "4"
attr(DATEN_BF$HAUFIGKEIT_04,"5") = "5 Viel zu viel"
attr(DATEN_BF$HAUFIGKEIT_04,"-1") = "Weiss nicht"
attr(DATEN_BF$HAUFIGKEIT_04,"-2") = "k.A."
attr(DATEN_BF$HAUFIGKEIT_05,"1") = "1 Zu wenig"
attr(DATEN_BF$HAUFIGKEIT_05,"2") = "2"
attr(DATEN_BF$HAUFIGKEIT_05,"3") = "3 genau richtig"
attr(DATEN_BF$HAUFIGKEIT_05,"4") = "4"
attr(DATEN_BF$HAUFIGKEIT_05,"5") = "5 Viel zu viel"
attr(DATEN_BF$HAUFIGKEIT_05,"-1") = "Weiss nicht"
attr(DATEN_BF$HAUFIGKEIT_05,"-2") = "k.A."
attr(DATEN_BF$ERINN_WICHTIG1,"1") = "1 Unwichtig"
attr(DATEN_BF$ERINN_WICHTIG1,"2") = "2"
attr(DATEN_BF$ERINN_WICHTIG1,"3") = "3"
attr(DATEN_BF$ERINN_WICHTIG1,"4") = "4"
attr(DATEN_BF$ERINN_WICHTIG1,"5") = "5 Sehr wichtig"
attr(DATEN_BF$ERINN_WICHTIG1,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_WICHTIG1,"-2") = "k.A."
attr(DATEN_BF$ERINN_WICHTIG2,"1") = "1 Unwichtig"
attr(DATEN_BF$ERINN_WICHTIG2,"2") = "2"
attr(DATEN_BF$ERINN_WICHTIG2,"3") = "3"
attr(DATEN_BF$ERINN_WICHTIG2,"4") = "4"
attr(DATEN_BF$ERINN_WICHTIG2,"5") = "5 Sehr wichtig"
attr(DATEN_BF$ERINN_WICHTIG2,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_WICHTIG2,"-2") = "k.A."
attr(DATEN_BF$ERINN_WICHTIG3,"1") = "1 Unwichtig"
attr(DATEN_BF$ERINN_WICHTIG3,"2") = "2"
attr(DATEN_BF$ERINN_WICHTIG3,"3") = "3"
attr(DATEN_BF$ERINN_WICHTIG3,"4") = "4"
attr(DATEN_BF$ERINN_WICHTIG3,"5") = "5 Sehr wichtig"
attr(DATEN_BF$ERINN_WICHTIG3,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_WICHTIG3,"-2") = "k.A."
attr(DATEN_BF$ERINN_INTERESSE1,"1") = "1 Gar nicht"
attr(DATEN_BF$ERINN_INTERESSE1,"2") = "2"
attr(DATEN_BF$ERINN_INTERESSE1,"3") = "3"
attr(DATEN_BF$ERINN_INTERESSE1,"4") = "4"
attr(DATEN_BF$ERINN_INTERESSE1,"5") = "5 Sehr stark"
attr(DATEN_BF$ERINN_INTERESSE1,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_INTERESSE1,"-2") = "k.A."
attr(DATEN_BF$ERINN_INTERESSE2,"1") = "1 Gar nicht"
attr(DATEN_BF$ERINN_INTERESSE2,"2") = "2"
attr(DATEN_BF$ERINN_INTERESSE2,"3") = "3"
attr(DATEN_BF$ERINN_INTERESSE2,"4") = "4"
attr(DATEN_BF$ERINN_INTERESSE2,"5") = "5 Sehr stark"
attr(DATEN_BF$ERINN_INTERESSE2,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_INTERESSE2,"-2") = "k.A."
attr(DATEN_BF$ERINN_INTERESSE3,"1") = "1 Gar nicht"
attr(DATEN_BF$ERINN_INTERESSE3,"2") = "2"
attr(DATEN_BF$ERINN_INTERESSE3,"3") = "3"
attr(DATEN_BF$ERINN_INTERESSE3,"4") = "4"
attr(DATEN_BF$ERINN_INTERESSE3,"5") = "5 Sehr stark"
attr(DATEN_BF$ERINN_INTERESSE3,"-1") = "Weiss nicht"
attr(DATEN_BF$ERINN_INTERESSE3,"-2") = "k.A."
attr(DATEN_BF$PERS_REL,"1") = "Ja"
attr(DATEN_BF$PERS_REL,"2") = "Nein"
attr(DATEN_BF$PERS_REL,"-1") = "weiss nicht"
attr(DATEN_BF$PERS_REL,"-2") = "k.A."
attr(DATEN_BF$PERS_REL,"-9") = "nicht beantwortet"
attr(DATEN_BF$POLITIK,"1") = "Gar nicht [1]"
attr(DATEN_BF$POLITIK,"2") = "[2]"
attr(DATEN_BF$POLITIK,"3") = "[3]"
attr(DATEN_BF$POLITIK,"4") = "[4]"
attr(DATEN_BF$POLITIK,"5") = "Sehr [5]"
attr(DATEN_BF$POLITIK,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$POLITIK,"-2") = "k.A. [-2]"
attr(DATEN_BF$POLITIK,"-9") = "nicht beantwortet"
attr(DATEN_BF$PROMINENZ,"1") = "Gar nicht [1]"
attr(DATEN_BF$PROMINENZ,"2") = "[2]"
attr(DATEN_BF$PROMINENZ,"3") = "[3]"
attr(DATEN_BF$PROMINENZ,"4") = "[4]"
attr(DATEN_BF$PROMINENZ,"5") = "Sehr [5]"
attr(DATEN_BF$PROMINENZ,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$PROMINENZ,"-2") = "k.A. [-2]"
attr(DATEN_BF$PROMINENZ,"-9") = "nicht beantwortet"
attr(DATEN_BF$SCHLAG_PROMINENZ,"1") = "Gar nicht wahrscheinlich [1]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"2") = "[2]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"3") = "[3]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"4") = "[4]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"5") = "Sehr wahrscheinlich [5]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"-2") = "k.A. [-2]"
attr(DATEN_BF$SCHLAG_PROMINENZ,"-9") = "nicht beantwortet"
attr(DATEN_BF$SCHLAG_AUSLAND,"1") = "Gar nicht wahrscheinlich [1]"
attr(DATEN_BF$SCHLAG_AUSLAND,"2") = "[2]"
attr(DATEN_BF$SCHLAG_AUSLAND,"3") = "[3]"
attr(DATEN_BF$SCHLAG_AUSLAND,"4") = "[4]"
attr(DATEN_BF$SCHLAG_AUSLAND,"5") = "Sehr wahrscheinlich [5]"
attr(DATEN_BF$SCHLAG_AUSLAND,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$SCHLAG_AUSLAND,"-2") = "k.A. [-2]"
attr(DATEN_BF$SCHLAG_AUSLAND,"-9") = "nicht beantwortet"
attr(DATEN_BF$SCHLAG_TECHNIK,"1") = "Gar nicht wahrscheinlich [1]"
attr(DATEN_BF$SCHLAG_TECHNIK,"2") = "[2]"
attr(DATEN_BF$SCHLAG_TECHNIK,"3") = "[3]"
attr(DATEN_BF$SCHLAG_TECHNIK,"4") = "[4]"
attr(DATEN_BF$SCHLAG_TECHNIK,"5") = "Sehr wahrscheinlich [5]"
attr(DATEN_BF$SCHLAG_TECHNIK,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$SCHLAG_TECHNIK,"-2") = "k.A. [-2]"
attr(DATEN_BF$SCHLAG_TECHNIK,"-9") = "nicht beantwortet"
attr(DATEN_BF$SCHLAG_POLITIK,"1") = "Gar nicht wahrscheinlich [1]"
attr(DATEN_BF$SCHLAG_POLITIK,"2") = "[2]"
attr(DATEN_BF$SCHLAG_POLITIK,"3") = "[3]"
attr(DATEN_BF$SCHLAG_POLITIK,"4") = "[4]"
attr(DATEN_BF$SCHLAG_POLITIK,"5") = "Sehr wahrscheinlich [5]"
attr(DATEN_BF$SCHLAG_POLITIK,"-1") = "Weiss nicht [-1]"
attr(DATEN_BF$SCHLAG_POLITIK,"-2") = "k.A. [-2]"
attr(DATEN_BF$SCHLAG_POLITIK,"-9") = "nicht beantwortet"
attr(DATEN_BF$BILDUNG,"1") = "Obligatorische Schulzeit"
attr(DATEN_BF$BILDUNG,"2") = "Berufslehre"
attr(DATEN_BF$BILDUNG,"3") = "Maturität/Fachmaturität"
attr(DATEN_BF$BILDUNG,"4") = "Hochschulabschluss"
attr(DATEN_BF$BILDUNG,"5") = "Sonstiges, und zwar:"
attr(DATEN_BF$BILDUNG,"-1") = "Weiss nicht"
attr(DATEN_BF$BILDUNG,"-2") = "k.A."
attr(DATEN_BF$BILDUNG,"-9") = "nicht beantwortet"
attr(DATEN_BF$INTERVIEWER,"1") = "Alexander Beck"
attr(DATEN_BF$INTERVIEWER,"2") = "Amélie Noé Schnidrig"
attr(DATEN_BF$INTERVIEWER,"3") = "Amira Widmer"
attr(DATEN_BF$INTERVIEWER,"4") = "Annika Gerber"
attr(DATEN_BF$INTERVIEWER,"5") = "Aurel Müller"
attr(DATEN_BF$INTERVIEWER,"6") = "Charles-Antoine Coens"
attr(DATEN_BF$INTERVIEWER,"7") = "Charlotte Ellinor Wirth"
attr(DATEN_BF$INTERVIEWER,"8") = "Fabian Mizsei"
attr(DATEN_BF$INTERVIEWER,"9") = "Flurina Marugg"
attr(DATEN_BF$INTERVIEWER,"10") = "Jana Kipfer"
attr(DATEN_BF$INTERVIEWER,"11") = "Jennifer Herzog"
attr(DATEN_BF$INTERVIEWER,"12") = "Larissa Kobler"
attr(DATEN_BF$INTERVIEWER,"13") = "Lilly Ochsner"
attr(DATEN_BF$INTERVIEWER,"14") = "Malena Banjavcic"
attr(DATEN_BF$INTERVIEWER,"15") = "Melina Christellis"
attr(DATEN_BF$INTERVIEWER,"16") = "Morena Graf"
attr(DATEN_BF$INTERVIEWER,"17") = "Robin Steven Blank"
attr(DATEN_BF$INTERVIEWER,"18") = "Shaline Rüegger"
attr(DATEN_BF$INTERVIEWER,"19") = "Sven Tuchschmid"
attr(DATEN_BF$INTERVIEWER,"20") = "Tatjana Jäger"
attr(DATEN_BF$INTERVIEWER,"-9") = "nicht beantwortet"
attr(DATEN_BF$VERSTAENDNIS,"1") = "Ja, keine Probleme"
attr(DATEN_BF$VERSTAENDNIS,"2") = "Ja, ein paar Probleme"
attr(DATEN_BF$VERSTAENDNIS,"3") = "Nein, sehr problematisch"
attr(DATEN_BF$VERSTAENDNIS,"-1") = "nicht einschätzbar"
attr(DATEN_BF$VERSTAENDNIS,"-9") = "nicht beantwortet"
attr(DATEN_BF$ERNSTHAFT,"1") = "Ja, vollkommen ernsthaft"
attr(DATEN_BF$ERNSTHAFT,"2") = "Ja, überwiegend ernsthaft"
attr(DATEN_BF$ERNSTHAFT,"3") = "Nein, eher nicht ernsthaft"
attr(DATEN_BF$ERNSTHAFT,"4") = "Nein, keine ernsthaften Antworten"
attr(DATEN_BF$ERNSTHAFT,"-1") = "nicht feststellbar"
attr(DATEN_BF$ERNSTHAFT,"-9") = "nicht beantwortet"
attr(DATEN_BF$FINISHED,"F") = "abgebrochen"
attr(DATEN_BF$FINISHED,"T") = "ausgefüllt"
attr(DATEN_BF$Q_VIEWER,"F") = "Teilnehmer"
attr(DATEN_BF$Q_VIEWER,"T") = "Durchklicker"
comment(DATEN_BF$SERIAL) = "Seriennummer (sofern verwendet)"
comment(DATEN_BF$REF) = "Referenz (sofern im Link angegeben)"
comment(DATEN_BF$QUESTNNR) = "Fragebogen, der im Interview verwendet wurde"
comment(DATEN_BF$MODE) = "Interview-Modus"
comment(DATEN_BF$STARTED) = "Zeitpunkt zu dem das Interview begonnen hat (Europe/Berlin)"
comment(DATEN_BF$BEGRUESS) = "Begrüssung und Ansprache"
comment(DATEN_BF$GESCHL) = "Geschlecht"
comment(DATEN_BF$ALTER) = "Alter"
comment(DATEN_BF$NACHRICHT_NUTZ) = "Nachrichtennutzung"
comment(DATEN_BF$NACHRICHT_TITEL) = "Nachrichtenmedien Titel: Ausweichoption (negativ) oder Anzahl ausgewählter Optionen"
comment(DATEN_BF$NACHRICHT_TITEL1) = "Nachrichtenmedien Titel: NZZ"
comment(DATEN_BF$NACHRICHT_TITEL2) = "Nachrichtenmedien Titel: TagesAnzeiger"
comment(DATEN_BF$NACHRICHT_TITEL3) = "Nachrichtenmedien Titel: 20 Minuten"
comment(DATEN_BF$NACHRICHT_TITEL4) = "Nachrichtenmedien Titel: Blick"
comment(DATEN_BF$NACHRICHT_TITEL5) = "Nachrichtenmedien Titel: Watson"
comment(DATEN_BF$NACHRICHT_TITEL6) = "Nachrichtenmedien Titel: SRF News"
comment(DATEN_BF$NACHRICHT_TITEL7) = "Nachrichtenmedien Titel: Aargauer Zeitung"
comment(DATEN_BF$NACHRICHT_TITEL8) = "Nachrichtenmedien Titel: St. Galler Tagblatt"
comment(DATEN_BF$NACHRICHT_TITEL9) = "Nachrichtenmedien Titel: Luzerner Zeitung"
comment(DATEN_BF$NACHRICHT_TITEL10) = "Nachrichtenmedien Titel: Südostschweiz"
comment(DATEN_BF$NACHRICHT_TITEL11) = "Nachrichtenmedien Titel: Basler Zeitung"
comment(DATEN_BF$NACHRICHT_TITEL12) = "Nachrichtenmedien Titel: Berner Zeitung"
comment(DATEN_BF$NACHRICHT_TITEL13) = "Nachrichtenmedien Titel: Der Bund"
comment(DATEN_BF$NACHRICHT_TITEL14) = "Nachrichtenmedien Titel: WOZ Die Wochenzeitung"
comment(DATEN_BF$NACHRICHT_TITEL15) = "Nachrichtenmedien Titel: Weltwoche"
comment(DATEN_BF$NACHRICHT_TITEL16) = "Nachrichtenmedien Titel: Handelszeitung"
comment(DATEN_BF$NACHRICHT_TITEL17) = "Nachrichtenmedien Titel: Die Ostschweiz"
comment(DATEN_BF$NACHRICHT_TITEL18) = "Nachrichtenmedien Titel: Obersee Nachrichten"
comment(DATEN_BF$NACHRICHT_TITEL19) = "Nachrichtenmedien Titel: Zürichsee Zeitung"
comment(DATEN_BF$M112_20) = "Nachrichtenmedien Titel: Social Media"
comment(DATEN_BF$M112_21) = "Nachrichtenmedien Titel: Google News"
comment(DATEN_BF$M112_22) = "Nachrichtenmedien Titel: Nau.ch"
comment(DATEN_BF$M112_23) = "Nachrichtenmedien Titel: Anderes und zwar"
comment(DATEN_BF$M112_23a) = "Nachrichtenmedien Titel: Anderes und zwar (offene Eingabe)"
comment(DATEN_BF$NACHRICHT_ZEIT) = "Nachrichten Zeit"
comment(DATEN_BF$THEMA_SPRECHEN) = "Agenda Setting Gespräch"
comment(DATEN_BF$M113_06) = "Agenda Setting Gespräch: Anderes"
comment(DATEN_BF$THEMA_WICHTIG) = "Agenda Setting Wichtige Themen: Ausweichoption (negativ) oder Anzahl ausgewählter Optionen"
comment(DATEN_BF$THEMA_WICHTIG1) = "Agenda Setting Wichtige Themen: Coronavirus"
comment(DATEN_BF$THEMA_WICHTIG2) = "Agenda Setting Wichtige Themen: Abstimmungen in der Schweiz"
comment(DATEN_BF$THEMA_WICHTIG3) = "Agenda Setting Wichtige Themen: Bitcoin, Währungen und Aktien im Kursrutsch"
comment(DATEN_BF$THEMA_WICHTIG4) = "Agenda Setting Wichtige Themen: Klimawandel"
comment(DATEN_BF$THEMA_WICHTIG5) = "Agenda Setting Wichtige Themen: Flüchtlingspolitik und Migrationskrisen"
comment(DATEN_BF$THEMA_WICHTIG6) = "Agenda Setting Wichtige Themen: Andere"
comment(DATEN_BF$THEMA_WICHTIG7) = "Agenda Setting Wichtige Themen: Andere (offene Eingabe)"
comment(DATEN_BF$THEMA_WICHTIG8) = "Agenda Setting Wichtige Themen: anderes Thema"
comment(DATEN_BF$THEMA_WICHTIG9) = "Agenda Setting Wichtige Themen: anderes Thema (offene Eingabe)"
comment(DATEN_BF$THEMA_WICHTIG10) = "Agenda Setting Wichtige Themen: drittes anderes Thema"
comment(DATEN_BF$THEMA_WICHTIG11) = "Agenda Setting Wichtige Themen: drittes anderes Thema (offene Eingabe)"
comment(DATEN_BF$HAUFIGKEIT_01) = "Häufigkeit: Coronavirus"
comment(DATEN_BF$HAUFIGKEIT_02) = "Häufigkeit: Abstimmungen in der Schweiz"
comment(DATEN_BF$HAUFIGKEIT_03) = "Häufigkeit: Bitcoin, Währungen und Aktien im Kursrutsch"
comment(DATEN_BF$HAUFIGKEIT_04) = "Häufigkeit: Klimawandel"
comment(DATEN_BF$HAUFIGKEIT_05) = "Häufigkeit: Flüchtlingspolitik und Migrationskrisen"
comment(DATEN_BF$Erinn_Meld1) = "Erinnerung Meldungen: Meldung 1"
comment(DATEN_BF$Erinn_Meld2) = "Erinnerung Meldungen: Meldung 2"
comment(DATEN_BF$Erinn_Meld3) = "Erinnerung Meldungen: Meldung 3"
comment(DATEN_BF$ERINN_WICHTIG1) = "Meldungen Wichtigkeit: %Erinn_Meld1%"
comment(DATEN_BF$ERINN_WICHTIG2) = "Meldungen Wichtigkeit: %Erinn_Meld2%"
comment(DATEN_BF$ERINN_WICHTIG3) = "Meldungen Wichtigkeit: %Erinn_Meld3%"
comment(DATEN_BF$ERINN_INTERESSE1) = "Meldungen Interessant: %Erinn_Meld1%"
comment(DATEN_BF$ERINN_INTERESSE2) = "Meldungen Interessant: %Erinn_Meld2%"
comment(DATEN_BF$ERINN_INTERESSE3) = "Meldungen Interessant: %Erinn_Meld3%"
comment(DATEN_BF$PERS_REL) = "Persönliche Relevanz"
comment(DATEN_BF$POLITIK) = "Politik"
comment(DATEN_BF$PROMINENZ) = "Prominenz "
comment(DATEN_BF$SCHLAG_PROMINENZ) = "Schlagzeile Prominenz"
comment(DATEN_BF$SCHLAG_AUSLAND) = "Schlagzeile Ausland"
comment(DATEN_BF$SCHLAG_TECHNIK) = "Schlagzeile Technik"
comment(DATEN_BF$SCHLAG_POLITIK) = "Schlagzeile Politik"
comment(DATEN_BF$PLZ) = "Wohnort: Postleitzahl"
comment(DATEN_BF$BILDUNG) = "Bildung"
comment(DATEN_BF$BILDUNG_SONST) = "Bildung: Sonstiges, und zwar"
comment(DATEN_BF$ANMERK) = "Anmerkung: Anmerkung"
comment(DATEN_BF$INTERVIEWER) = "Interviewer"
comment(DATEN_BF$VERSTAENDNIS) = "Verständnis"
comment(DATEN_BF$ERNSTHAFT) = "Ernsthaftigkeit"
comment(DATEN_BF$S_IP) = "IP-Adresse des Befragten"
comment(DATEN_BF$S_LANG) = "Spracheinstellung im Browser des Befragten"
comment(DATEN_BF$S_REFERR) = "Referer (Webseite auf welcher der Link zum Fragebogen angeklickt wurde)"
comment(DATEN_BF$S_BROWSR) = "Browser, welcher im Interview verwendet wurde"
comment(DATEN_BF$TIME001) = "Verweildauer Seite 1"
comment(DATEN_BF$TIME002) = "Verweildauer Seite 2"
comment(DATEN_BF$TIME003) = "Verweildauer Seite 3"
comment(DATEN_BF$TIME004) = "Verweildauer Seite 4"
comment(DATEN_BF$TIME005) = "Verweildauer Seite 5"
comment(DATEN_BF$TIME006) = "Verweildauer Seite 6"
comment(DATEN_BF$TIME007) = "Verweildauer Seite 7"
comment(DATEN_BF$TIME008) = "Verweildauer Seite 8"
comment(DATEN_BF$TIME009) = "Verweildauer Seite 9"
comment(DATEN_BF$TIME010) = "Verweildauer Seite 10"
comment(DATEN_BF$TIME011) = "Verweildauer Seite 11"
comment(DATEN_BF$TIME012) = "Verweildauer Seite 12"
comment(DATEN_BF$TIME014) = "Verweildauer Seite 14"
comment(DATEN_BF$TIME015) = "Verweildauer Seite 15"
comment(DATEN_BF$TIME016) = "Verweildauer Seite 16"
comment(DATEN_BF$TIME017) = "Verweildauer Seite 17"
comment(DATEN_BF$TIME018) = "Verweildauer Seite 18"
comment(DATEN_BF$TIME019) = "Verweildauer Seite 19"
comment(DATEN_BF$TIME020) = "Verweildauer Seite 20"
comment(DATEN_BF$TIME021) = "Verweildauer Seite 21"
comment(DATEN_BF$TIME022) = "Verweildauer Seite 22"
comment(DATEN_BF$TIME023) = "Verweildauer Seite 23"
comment(DATEN_BF$TIME024) = "Verweildauer Seite 24"
comment(DATEN_BF$TIME025) = "Verweildauer Seite 25"
comment(DATEN_BF$TIME026) = "Verweildauer Seite 26"
comment(DATEN_BF$TIME027) = "Verweildauer Seite 27"
comment(DATEN_BF$TIME028) = "Verweildauer Seite 28"
comment(DATEN_BF$TIME029) = "Verweildauer Seite 29"
comment(DATEN_BF$TIME030) = "Verweildauer Seite 30"
comment(DATEN_BF$TIME_SUM) = "Verweildauer gesamt (ohne Ausreißer)"
comment(DATEN_BF$MAILSENT) = "Versandzeitpunkt der Einladungsmail (nur für nicht-anonyme Adressaten)"
comment(DATEN_BF$LASTDATA) = "Zeitpunkt als der Datensatz das letzte mal geändert wurde"
comment(DATEN_BF$FINISHED) = "Wurde die Befragung abgeschlossen (letzte Seite erreicht)?"
comment(DATEN_BF$Q_VIEWER) = "Hat der Teilnehmer den Fragebogen nur angesehen, ohne die Pflichtfragen zu beantworten?"
comment(DATEN_BF$LASTPAGE) = "Seite, die der Teilnehmer zuletzt bearbeitet hat"
comment(DATEN_BF$MAXPAGE) = "Letzte Seite, die im Fragebogen bearbeitet wurde"
comment(DATEN_BF$MISSING) = "Anteil fehlender Antworten in Prozent"
comment(DATEN_BF$MISSREL) = "Anteil fehlender Antworten (gewichtet nach Relevanz)"
comment(DATEN_BF$TIME_RSI) = "Maluspunkte für schnelles Ausfüllen"
comment(DATEN_BF$DEG_TIME) = "Maluspunkte für schnelles Ausfüllen"



# Assure that the comments are retained in subsets
as.data.frame.avector = as.data.frame.vector
`[.avector` <- function(x,i,...) {
  r <- NextMethod("[")
  mostattributes(r) <- attributes(x)
  r
}
DATEN_BF_tmp = data.frame(
  lapply(DATEN_BF, function(x) {
    structure( x, class = c("avector", class(x) ) )
  } )
)
mostattributes(DATEN_BF_tmp) = attributes(DATEN_BF)
DATEN_BF = DATEN_BF_tmp
rm(DATEN_BF_tmp)

